Bug 13811 - [Systemdienste] MySQL fehlt
[Systemdienste] MySQL fehlt
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System services
UCS 2.1
All All
: P5 enhancement (vote)
: UCS 4.0-0-errata
Assigned To: Florian Best
Philipp Hahn
:
Depends on: 30599
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 13:36 CET by Moritz Muehlenhoff
Modified: 2015-01-29 11:38 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
patch adds MySQL entry to univention-base-files.univention-service (554 bytes, patch)
2014-06-26 12:13 CEST, Alexander Kramer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2009-03-19 13:36:01 CET
MySQL lässt sich nicht über die UMC-Diensteverwaltung verwalten.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-05-31 10:43:03 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 2 Alexander Kramer univentionstaff 2014-06-26 12:13:26 CEST
Created attachment 5972 [details]
patch adds MySQL entry to univention-base-files.univention-service

patch should be working fine
Comment 3 Alexander Kramer univentionstaff 2014-06-26 12:13:52 CEST
patch assigned
Comment 4 Alexander Kläser univentionstaff 2014-12-04 14:52:10 CET
Patch looks fine, please apply to UCS4 errata scope.
Comment 5 Alexander Kramer univentionstaff 2014-12-15 13:01:22 CET
Revision 56818
univention-base-files (4.0.5-2) 
* Bug #13811: Added MySQL to univention-service

Successful build
Package: univention-base-files
Version: 4.0.5-2.177.201412151250

r56820
yaml file
Comment 6 Florian Best univentionstaff 2015-01-08 13:16:37 CET
MySQL now shows up in the system services (if installed) and it can be stopped and started.
But it can not be configured to start 'Never' and 'Manually'.
Comment 7 Florian Best univentionstaff 2015-01-22 10:38:00 CET
Checking for mysql/autostart has been added to the init script.
Fix: svn r14242
Package: mysql-5.5
Version: 5.5.40-0.12.201501211348
Branch: ucs_4.0-0
Scope: errata4.0-0
YAML: 2015-01-21-mysql-5.5.yaml

no cross dependencies.
Comment 8 Philipp Hahn univentionstaff 2015-01-23 15:52:59 CET
OK: r56818 r57524
OK: r56820 r57525
OK: aptitude install '?source-package(univention-base-files)?installed'
FIXED: ucr info mysql/autostart
OK: 2014-12-15-univention-base-files.yaml
OK: errata-announce -V 2014-12-15-univention-base-files.yaml

OK: r14242
OK: r57466
OK: univention-install mysql-server
OK: pgrep mysqld
FIXED: 2015-01-21-mysql-5.5.yaml
OK: errata-announce -V 2015-01-21-mysql-5.5.yaml

OK: ucr set mysql/autostart=no ; service mysql restart ; pgrep -l mysqld
FIXED: ucr set mysql/autostart=manually ; service mysql restart ; echo $?
FIXED: ucr set mysql/autostart=manually ; reboot ; pgrep -l mysqld
OK: ucr set mysql/autostart=yes ; service mysql restart ; pgrep -l mysqld
OK: ucr set mysql/autostart=unset ; service mysql restart ; pgrep -l mysqld

OK: UMV Service MySQL